msgpack::adaptor::pack< type::raw_ref > Struct Template Reference

`#include <raw.hpp>`

## Public Member Functions

template<typename Stream >
msgpack::packer< Stream > & | operator() (msgpack::packer< Stream > &o, const type::raw_ref &v) const

## Member Function Documentation

## operator()()

template<typename Stream >

msgpack::packer<Stream>& msgpack::adaptor::pack< type::raw_ref >::operator() | ( | msgpack< type::raw_ref >::packer< Stream > & | o,
|  | const type::raw_ref & | v
| ) |  | const

inline

References msgpack::packer< Stream >::pack_bin(), msgpack::packer< Stream >::pack_bin_body(), msgpack::type::raw_ref::ptr, and msgpack::type::raw_ref::size.

The documentation for this struct was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/adaptor/raw.hpp